Scala Reflection Library2.13.0 < Back


# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package runtime

  Entry points into runtime reflection.

  Entry points into runtime reflection. See the overview page for details on how to use them.

  Definition Classes
    reflect
- JavaUniverse
- JavaUniverseForce
- ReflectionUtils

o

scala.reflect.runtime

# ReflectionUtils

###

#### object ReflectionUtils

A few java-reflection oriented utility functions useful during reflection bootstrapping.

Source
  ReflectionUtils.scala

Linear Supertypes
AnyRef, Any
Content Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReflectionUtils
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class EnclosedIn[T] extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def associatedFile(clazz: Class[_]): AbstractFile
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def innerSingletonInstance(outer: AnyRef, className: String): AnyRef
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def show(cl: ClassLoader): String
18.  def staticSingletonInstance(clazz: Class[_]): AnyRef
19.  def staticSingletonInstance(cl: ClassLoader, className: String): AnyRef
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  def unwrapHandler[T](pf: PartialFunction[Throwable, T]): PartialFunction[Throwable, T]
23.  def unwrapThrowable(x: Throwable): Throwable
    Annotations
      @tailrec()
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
27.  object EnclosedInClass extends EnclosedIn[Class[_ <: AnyRef]]
28.  object EnclosedInConstructor extends EnclosedIn[Constructor[_ <: AnyRef]]
29.  object EnclosedInMethod extends EnclosedIn[Method]
30.  object EnclosedInPackage extends EnclosedIn[Package]
31.  object PrimitiveOrArray

### Inherited from AnyRef

### Inherited from Any

### Ungrouped